/*-------------------------------------------------------------------------
--
--  makepass.c - A microscopic little program to create an encrypted
--  text string corresponding to a password that can be passed at the
--  backend of a checker control command query string.
--
--  Copyright (c) 1992, 1993, 1994, 1995
--                University of Southern California, Los Angeles, CA
--                All rights reserved.
--
--  Redistribution and use of this software in source or binary form is
--  permitted given that the above copyright notice and this paragraph are
--  duplicated in all such forms and that any documentation and material
--  related to such distribution and use acknowledge that the software
--  was developed by University of Southern California.
--
--  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
--  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMIT TO, THE IMPLIED
--  WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
--  THE UNIVERSITY AND THE AUTHORS ASSUME NO RESPONSIBILITY FOR DAMAGES
--  OF ANY KIND RESULTING FROM THE USE OF THIS SOFTWARE.
--
--  Please contact Dr. Peter Danzig of Computer Science Department at
--  danzig@usc.edu for further information.
--
--
===========================================================================
--                           UPDATE HISTORY                              --
--                                                                       --
-- VER     Date         Explanation of Changes              Author       --
---------------------------------------------------------------------------
--  0   |  12/92   | Initial version                | Steve Miller - USC --
--  1   |   6/95   | Added header                   | Steve Miller - USC --
-------------------------------------------------------------------------*/
#include <stdio.h>

main( argc, argv )
int argc;
char *argv[];
    {
    char tempstr[50];

    if( argc != 2 ) {
        printf( "usage: makepass <cleartext password>\n" );
        exit(); }

    strcpy( tempstr, crypt( argv[1], "ck" ) );
    printf( "New password string is %s\n", &tempstr[2] );
    }
